# Create data frame
observation <- c(1:5)
cond1_cntrl <- c(7,3,4,2,5)
cond2_phrmn <- c(8,5,6,5,7)

within_data <- as.data.frame(cbind(observation,cond1_cntrl,cond2_phrmn))
colnames(within_data) <- c("Observation", "Condition_1", "Condition_2")


# Compute difference
within_data$Difference <- within_data$Condition_1 - within_data$Condition_2


# SE_PD
se_pd <- sd(within_data$Difference) / sqrt(length(within_data$Difference))

# Length of CI_PD
ci_length <- se_pd * qt(0.975,length(within_data$Difference)-1)

# CI_PD
ci_pd_cond1 <- c(mean(within_data$Condition_1) - ci_length, 
                 mean(within_data$Condition_1) + ci_length)
ci_pd_cond2 <- c(mean(within_data$Condition_2) - ci_length,
                 mean(within_data$Condition_2) + ci_length)

